//  ,    :(

{$apptype console}

uses
  Math, SysUtils;

var
  x, y: extended;

procedure ToRangeAndPrint;
begin
  x := EnsureRange(x, 1, 1000000);
  y := EnsureRange(y, 1, 1000000);
  Write(' ', x:0:1, ' ', y:0:6);
end;

var
  ndiv4, n: integer;
  i: integer;
begin
  DecimalSeparator := '.';
  ndiv4 := StrToInt(ParamStr(1)) div 4;  // 250000 max
  n := ndiv4 * 4;

  Write(n);

  x := 11;
  y := 500000;
  for i := 1 to ndiv4 do begin
    x := x + 0.4;
    y := y + (2 - i * 0.000003);  // up to ~843K
    ToRangeAndPrint;
  end;
  for i := 1 to ndiv4 do begin
    x := x + 0.6;
    y := y - (1.7 - i * 0.000004);  // down to ~590K
    ToRangeAndPrint;
  end;
  for i := 1 to ndiv4 do begin
    x := x - 0.7;
    y := y - (1.3 - i * 0.000006);   // downto ~274K
    ToRangeAndPrint;
  end;
  for i := 1 to ndiv4 do begin
    x := x - 0.3;
    y := y + (1 - i * 0.000007);   // up to ~336K
    ToRangeAndPrint;
  end;
end.
