{$apptype console}

uses
  Math, SysUtils;

const
  CDX: array [1..4] of integer = (1, 0, -1, 0);
  CDY: array [1..4] of integer = (0, -1, 0, 1);
  
var
  d, i: integer;
  n: integer;
  xmin, xmax, ymin, ymax: extended;
  x, y, dx, dy: extended;
begin
  DecimalSeparator := '.';
  
  RandSeed := StrToInt(ParamStr(1));
  n := StrToInt(ParamStr(2));
  xmin := StrToFloat(ParamStr(3));
  ymin := StrToFloat(ParamStr(4));
  xmax := StrToFloat(ParamStr(5));
  ymax := StrToFloat(ParamStr(6));
  n := Max(8, n);
  n := (n div 4) * 4;
  Write(n);
  dx := (xmax - xmin) / (n div 4);
  dy := (ymax - ymin) / (n div 4);

  // upper bound
  x := xmin;
  y := ymax;
  for d := 1 to 4 do
    for i := 1 to (n div 4) do begin
      if CDX[d] = -1 then
        x := xmax
      else if CDX[d] = 1 then
        x := xmin;
      x := x + CDX[d] * i * dx;

      if CDY[d] = -1 then
        y := ymax
      else if CDY[d] = 1 then
        y := ymin;

      y := y + CDY[d] * i * dy;
      Write(' ', x:0:5, ' ', y:0:5);
    end;
end.
